std::regex_error Class Reference
Regular Expressions | Exceptions
Inheritance diagram for std::regex_error:
[legend]

## Public Member Functions

| regex_error (regex_constants::error_type __ecode)
regex_constants::error_type | code () const
virtual const char * | what () const noexcept

## Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Definition at line 135 of file regex_error.h.

## Constructor & Destructor Documentation

std::regex_error::regex_error | ( | regex_constants::error_type | __ecode | ) |

explicit

Constructs a regex_error object.

Parameters

  __ecode | the regex error code.

## Member Function Documentation

regex_constants::error_type std::regex_error::code | ( |  | ) | const

inline

Gets the regex error code.

Returns
  the regex error code.

Definition at line 156 of file regex_error.h.

virtual const char* std::runtime_error::what | ( |  | ) | const

virtualnoexceptinherited

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- regex_error.h